<?xml version="1.0" encoding="utf-8"?>

<!-- 


	1) Sets the PerformRoamingMapping on connection 1 to true
  2) Renames Profile
  3) Set task Icon
  4) Sets The encryption in the Aup configuration

-->



<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">

  <xsl:output  method="xml" indent="yes" />

  <xsl:template match ="//AliceConf/Connection[@Id=2]/ConData/Apn">
    <xsl:copy>basicinternet</xsl:copy>
  </xsl:template>

  <xsl:template match ="//AliceConf/Task[@Id=2]/Icon">
    <xsl:copy>IDB_TASKICONS_2</xsl:copy>
  </xsl:template>

  <xsl:template match ="//AliceConf/Profile[@Id=2]/Name">
    <xsl:copy>Fast Internet</xsl:copy>
  </xsl:template>

  <xsl:template match ="//AliceConf/Connection[@Id=1]/ConData/PerformRoamingMapping">
    <xsl:copy>true</xsl:copy>
  </xsl:template>

  <xsl:template match ="//AliceAcmAup/ConfigAup/Encrypt">
    <xsl:copy>Yes</xsl:copy>
  </xsl:template>

  <xsl:template match ="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select ="@*|node()"></xsl:apply-templates>
    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>






